Package com.google.protobuf

# Class GeneratedMessageV3.ExtendableMessage<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessage
com.google.protobuf.GeneratedMessage.ExtendableMessage<GeneratedMessageV3>
com.google.protobuf.GeneratedMessageV3
com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>

All Implemented Interfaces:
  `GeneratedMessage.ExtendableMessageOrBuilder<GeneratedMessageV3>`, `GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT>`, `Message`, `MessageLite`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Serializable`

Enclosing class:
  `GeneratedMessageV3`

@Deprecated public abstract static class GeneratedMessageV3.ExtendableMessage<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>> extends GeneratedMessageV3 implements GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT>
Deprecated.
This class is deprecated, and slated for removal in the next Java breaking change (5.x). Users should update gencode to >= 4.26.x which uses GeneratedMessage.ExtendableMessage.
Stub for GeneratedMessageV3.ExtendableMessage wrapping GeneratedMessage.ExtendableMessage for compatibility with older gencode.

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`GeneratedMessageV3.ExtendableMessage.ExtensionWriter`
Deprecated.
This class is deprecated, and slated for removal in the next Java breaking change (5.x).

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`GeneratedMessageV3.Builder<BuilderT extends GeneratedMessageV3.Builder<BuilderT>>, GeneratedMessageV3.BuilderParent, GeneratedMessageV3.ExtendableBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, GeneratedMessageV3.ExtendableMessage<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>, GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>, GeneratedMessageV3.FieldAccessorTable, GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage.ExtendableMessage

`GeneratedMessage.ExtendableMessage.ExtensionSerializer`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

`GeneratedMessage.GeneratedExtension<ContainingT extends Message,T>`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`AbstractMessageLite.InternalOneOfEnum`

## Field Summary

### Fields inherited from class com.google.protobuf.GeneratedMessage

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ExtendableMessage()`
Deprecated.
`protected`
`ExtendableMessage(GeneratedMessageV3.ExtendableBuilder<MessageT,?> builder)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`final <T> T`
`getExtension(GeneratedMessage.GeneratedExtension<MessageT,List<T>> extension, int index)`
Deprecated.
`final <T> T`
`getExtension(GeneratedMessage.GeneratedExtension<MessageT,T> extension)`
Deprecated.
`final <T> int`
`getExtensionCount(GeneratedMessage.GeneratedExtension<MessageT,List<T>> extension)`
Deprecated.
`final <T> boolean`
`hasExtension(GeneratedMessage.GeneratedExtension<MessageT,T> extension)`
Deprecated.
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Deprecated.
`protected GeneratedMessageV3.ExtendableMessage<MessageT>.ExtensionWriter`
`newExtensionWriter()`
Deprecated.
`protected GeneratedMessageV3.ExtendableMessage<MessageT>.ExtensionWriter`
`newMessageSetExtensionWriter()`
Deprecated.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBuilderForType, newBuilderForType, newInstance`

### Methods inherited from class com.google.protobuf.GeneratedMessage.ExtendableMessage

`extensionsAreInitialized, extensionsSerializedSize, extensionsSerializedSizeAsMessageSet, getAllFields, getAllFieldsRaw, getExtension, getExtension, getExtensionCount, getExtensionFields, getField, getRepeatedField, getRepeatedFieldCount, hasExtension, hasField, isInitialized, newExtensionSerializer, newMessageSetExtensionSerializer`

### Methods inherited from class com.google.protobuf.GeneratedMessage

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getDescriptorForType, getOneofFieldDescriptor, getParserForType, getSerializedSize, getUnknownFields, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, newFileScopedGeneratedExtension, newInstance, newMessageScopedGeneratedExtension, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag, writeTo`

### Methods inherited from class com.google.protobuf.AbstractMessage

`equals, findInitializationErrors, getInitializationErrorString, hashCode, hashFields, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder

`getDefaultInstanceForType, getExtension, getExtension, getExtensionCount, hasExtension`

### Methods inherited from interface com.google.protobuf.Message

`newBuilderForType, toBuilder`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Constructor Details

### ExtendableMessage

@Deprecated protected ExtendableMessage()
Deprecated.

### ExtendableMessage

@Deprecated protected ExtendableMessage(GeneratedMessageV3.ExtendableBuilder<MessageT,?> builder)
Deprecated.

## Method Details

### hasExtension

@Deprecated public final <T> boolean hasExtension(GeneratedMessage.GeneratedExtension<MessageT,T> extension)
Deprecated.

Specified by:
  `hasExtension` in interface `GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>`

### getExtensionCount

@Deprecated public final <T> int getExtensionCount(GeneratedMessage.GeneratedExtension<MessageT,List<T>> extension)
Deprecated.

Specified by:
  `getExtensionCount` in interface `GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>`

### getExtension

@Deprecated public final <T> T getExtension(GeneratedMessage.GeneratedExtension<MessageT,T> extension)
Deprecated.

Specified by:
  `getExtension` in interface `GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>`

### getExtension

@Deprecated public final <T> T getExtension(GeneratedMessage.GeneratedExtension<MessageT,List<T>> extension, int index)
Deprecated.

Specified by:
  `getExtension` in interface `GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>`

### internalGetFieldAccessorTable

@Deprecated protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Deprecated.
Description copied from class: `GeneratedMessage`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Overrides:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3`

### newExtensionWriter

@Deprecated protected GeneratedMessageV3.ExtendableMessage<MessageT>.ExtensionWriter newExtensionWriter()
Deprecated.
Description copied from class: `GeneratedMessage.ExtendableMessage`
For compatibility with older gencode.

TODO Remove this in the next breaking release.

Overrides:
  `newExtensionWriter` in class `GeneratedMessage.ExtendableMessage<GeneratedMessageV3>`

### newMessageSetExtensionWriter

@Deprecated protected GeneratedMessageV3.ExtendableMessage<MessageT>.ExtensionWriter newMessageSetExtensionWriter()
Deprecated.

Overrides:
  `newMessageSetExtensionWriter` in class `GeneratedMessage.ExtendableMessage<GeneratedMessageV3>`